#
# spec file for package libgusb
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgusb
Version:        0.2.9
Release:        1.3
Summary:        GObject-based library for libusb1
License:        LGPL-2.1+
Group:          System/Libraries
Url:            https://github.com/hughsie/libgusb
Source0:        http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
BuildRequires:  vala
BuildRequires:  xz
BuildRequires:  pkgconfig(glib-2.0) >= 2.38.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.29
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0.19

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.

%package -n libgusb2
Summary:        GObject-based library for libusb1
Group:          System/Libraries

%description -n libgusb2
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.

%package -n typelib-1_0-GUsb-1_0
Summary:        GObject-based library for libusb1 -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-GUsb-1_0
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.

%package devel
Summary:        GObject-based library for libusb1 -- Development Files
Group:          Development/Libraries/C and C++
Requires:       libgusb2 = %{version}
Requires:       typelib-1_0-GUsb-1_0 = %{version}

%description devel
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.

%prep
%setup -q

%build
%configure \
        --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%post -n libgusb2 -p /sbin/ldconfig

%postun -n libgusb2 -p /sbin/ldconfig

%files -n libgusb2
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libgusb.so.?
%{_libdir}/libgusb.so.?.0.*

%files -n typelib-1_0-GUsb-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_bindir}/gusbcmd
%{_datadir}/gir-1.0/GUsb-1.0.gir
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gusb.vapi
%{_includedir}/gusb-1/
%{_libdir}/libgusb.so
%{_libdir}/pkgconfig/gusb.pc
%doc %{_datadir}/gtk-doc/html/gusb/

%changelog
* Thu Apr 14 2016 idonmez@suse.com
- Update to GNOME 3.20  Fate#318572
* Wed Mar 23 2016 zaitor@opensuse.org
- Update to version 0.2.9:
  + Add g_usb_context_wait_for_replug().
  + Install gusbcmd as a debugging aid.
* Thu Dec 10 2015 dimstar@opensuse.org
- Update to version 0.2.8:
  + New Features:
  - Add a PERMISSION_DENIED error enum.
  - Add a thin glib wrapper around a libusb_interface_descriptor.
  - Add g_usb_device_get_interfaces().
  - Add g_usb_device_get_release().
  - Add g_usb_device_set_interface_alt().
  + Bugfix: Ignore the not-found error when resetting a device.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 0.2.7:
  + Support g_autoptr() for all gusb object types.
  + Bugfixes:
  - Add missing element-type annotations.
- Changes from version 0.2.6:
  + Bugfixes:
  - Do not unref the GMainContext after each request.
* Thu Jun 18 2015 zaitor@opensuse.org
- Update to version 0.2.5:
  + Add g_usb_device_get_custom_index().
  + Allow setting the GMainContext when used for sync methods.
  + Include all the USB device class codes.
  + Use symbol versioning.
* Sun Feb 22 2015 benoit.monin@gmx.fr
- Update to version 0.2.4:
  + Various API extensions.
  + Bugfixes:
  - Don't filter out hub devices when getting the device list.
  - Make the platform ID persistent across re-plug.
  - Port to GTask.
  - Use new Glib features for various code cleanups.
* Fri Dec 19 2014 kkaempf@suse.com
- Update to version 0.2.3:
  + Bugfixes: Correctly terminate the libusb event thread.
- Changes from version 0.2.2:
  + New Features: Official Windows support!
  + Bugfixes:
  - No longer require G_USB_API_IS_SUBJECT_TO_CHANGE.
  - Use a thread to process libusb1 events.
- Changes from version 0.2.1:
  + Bugfixes:
  - Always set a device platform ID.
  - Ignore 'unsupported' as a return value for kernel drivers.
- Changes from version 0.2.0:
  + Notes:
  - This release raises the GLib requirement to 2.32 and libusb
    to 1.0.19.
  - No GUdev functionality is now required.
  + New Features:
  - Add g_usb_device_get_device_class().
  - Use the native hotplug support in libusb 1.0.19.
  + Bugfixes:
  - Fix a crash where libusb_get_pollfds() is unavailable.
  - Manually coldplug devices and poll if hotplugging is not
    available.
* Tue Mar 12 2013 dimstar@opensuse.org
- Update to version 0.1.6:
  + Do not use deprecated GLib functionality.
  + Remove duplicate gtk-doc check in configure.
  + Unref the GMainloop after it has been run, not when just quit.
- Changes from version 0.1.5:
  + Don't use the deprecated INCLUDES in Makefile.am.
  + Fix documentation build.
  + Fix obvious typo in README.
* Tue Nov 13 2012 dimstar@opensuse.org
- Update to version 0.1.4:
  + Add GObject Introspection support.
  + Add g_usb_device_reset() to reset a connected device.
  + Add Vala bindings.
  + Assorted introspection annotation fixes.
  + Rename inconsistently named gusb_* symbols to g_usb_*.
- Add pkgconfig(gobject-introspection-1.0) and vala BuildRequires:
  New dependency for the GObject introspection support and the vala
  bindings.
- Create new typelib-1_0-GUsb-1_0 subpackage.
* Fri Jan 13 2012 vuntz@opensuse.org
- Cleanup packaging so it can get pushed to Factory.
* Mon Jan  2 2012 kkaempf@suse.com
- Initial package, version 0.1.3
